classification
Title: Is imp module deprecated or pending deprecation?
Type: Stage: resolved
Components: Documentation, Library (Lib) Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, ZackerySpytz, brett.cannon, docs@python, eric.snow, miss-islington, ncoghlan
Priority: normal Keywords: patch

Created on 2019-07-24 22:15 by Mariatta, last changed 2020-06-13 20:56 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20480 merged ZackerySpytz, 2020-05-28 05:49
PR 20859 merged miss-islington, 2020-06-13 17:35
PR 20860 merged miss-islington, 2020-06-13 17:35
PR 20861 merged miss-islington, 2020-06-13 17:35
Messages (6)
msg348411 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2019-07-24 22:15
The doc https://docs.python.org/3.7/library/imp.html says "Deprecated since version 3.4: The imp package is pending deprecation in favor of importlib."

Is it in "deprecated" state, or "pendingdeprecation" state?
Should it just be removed in 3.9?

Maybe I just don't understand the difference of "deprecated" and "pending deprecation" :(
msg348451 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-07-25 20:27
It's deprecated: https://github.com/python/cpython/blob/master/Lib/imp.py#L31. The wording is from back when the module was soft-deprecated via documentation before it was hard-deprecated via code. Feel free to tweak it to say "The imp module is deprecated in favor of :mod:`importlib`."
msg371466 - (view) Author: miss-islington (miss-islington) Date: 2020-06-13 17:35
New changeset dea3223740127ac13f984c1d38f127ab6701af44 by Zackery Spytz in branch 'master':
bpo-37674: Tweak imp module deprecation note in the docs (GH-20480)
https://github.com/python/cpython/commit/dea3223740127ac13f984c1d38f127ab6701af44
msg371468 - (view) Author: miss-islington (miss-islington) Date: 2020-06-13 20:55
New changeset bda4cc82de06490d982e199e5e49aaed390461ba by Miss Islington (bot) in branch '3.9':
[3.9] bpo-37674: Tweak imp module deprecation note in the docs (GH-20480) (GH-20859)
https://github.com/python/cpython/commit/bda4cc82de06490d982e199e5e49aaed390461ba
msg371469 - (view) Author: miss-islington (miss-islington) Date: 2020-06-13 20:55
New changeset f8c05bb3a6f25224d7767561ec6a36a737e17779 by Miss Islington (bot) in branch '3.8':
[3.8] bpo-37674: Tweak imp module deprecation note in the docs (GH-20480) (GH-20860)
https://github.com/python/cpython/commit/f8c05bb3a6f25224d7767561ec6a36a737e17779
msg371470 - (view) Author: miss-islington (miss-islington) Date: 2020-06-13 20:56
New changeset e1ca0c530104bd1e9fa61c167f267e6ca58a798a by Miss Islington (bot) in branch '3.7':
[3.7] bpo-37674: Tweak imp module deprecation note in the docs (GH-20480) (GH-20861)
https://github.com/python/cpython/commit/e1ca0c530104bd1e9fa61c167f267e6ca58a798a
History
Date User Action Args
2020-06-13 20:56:14miss-islingtonsetmessages: + msg371470
2020-06-13 20:55:59miss-islingtonsetmessages: + msg371469
2020-06-13 20:55:45miss-islingtonsetmessages: + msg371468
2020-06-13 17:37:15brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-06-13 17:35:51miss-islingtonsetpull_requests: + pull_request20052
2020-06-13 17:35:40miss-islingtonsetpull_requests: + pull_request20051
2020-06-13 17:35:29miss-islingtonsetpull_requests: + pull_request20050
2020-06-13 17:35:15miss-islingtonsetnosy: + miss-islington
messages: + msg371466
2020-05-28 05:49:18ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request19729
stage: patch review
2019-07-25 20:27:17brett.cannonsetmessages: + msg348451
2019-07-24 23:46:27xtreaksetnosy: + brett.cannon, ncoghlan, eric.snow
2019-07-24 22:15:42Mariattacreate